# Generated from uricp-0.0.18.gem by gem2rpm -*- rpm-spec -*-
%global gem_name uricp

Name: rubygem-%{gem_name}
Version: 0.0.18
Release: 1%{?dist}
Summary: Copy one URL to another with optional cacheing
License: gplv3
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aruba) >= 0.6.0
# BuildRequires: rubygem(aruba) < 0.7
# BuildRequires: rubygem(cucumber) >= 1.3
# BuildRequires: rubygem(cucumber) < 2
# BuildRequires: rubygem(inifile) >= 1.1
# BuildRequires: rubygem(inifile) < 2
BuildArch: noarch

%description
Copy one URL to another with optional cacheing.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
popd

%files
%dir %{gem_instdir}
%{_bindir}/segment_upload
%{_bindir}/uricp
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/Jenkinsfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/bionic
%{gem_instdir}/centos7
%{gem_instdir}/focal
%{gem_libdir}
%{gem_instdir}/xenial
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_instdir}/uricp.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.18-1
- Initial package
